APIドキュメント
Web 分析、位置追跡、SEO ツール用の REST API。
認証
プロファイル→APIトークンでトークンを作成し、ヘッダーに送信します。プランでは API アクセスが有効になっている必要があります。 トークンの作成
Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx # nebo X-Api-Key: seo_xxxxxxxxxxxxxxxxxxxxxxxx
Base URL: https://apitools.seo-solution.cz/api/v1/ext
エンドポイント
GET
/meInformace o účtu (ověření tokenu).
POST
/analyzeKompletní SEO analýza webu.
Body (JSON): { "url": "https://example.com" }
GET
/rank/projectsSeznam projektů sledování pozic.
GET
/rank/projects/{id}Detail projektu — klíčová slova a pozice (per vyhledávač i lokace).
GET
/rank/projects/{id}/dashboardDashboard pozic projektu.
POST
/tools/{tool}Spustí SEO nástroj. {tool} = robots, sitemap, schema, serp, hreflang, mobile, security, pagespeed, redirects, content, technology, accessibility, ux, cookies, dns, broken-links, geo.
Body (JSON): { "url": "https://example.com" }
例(カール)
# SEO analýza webu
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/analyze" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com"}'
# Sledování pozic — seznam projektů
curl "https://apitools.seo-solution.cz/api/v1/ext/rank/projects" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx"
# Spuštění nástroje (robots.txt)
curl -X POST "https://apitools.seo-solution.cz/api/v1/ext/tools/robots" \
-H "Authorization: Bearer seo_xxxxxxxxxxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"url":"https://example.com"}'